using System.Text.Json.Serialization;

namespace Mesa_Backlog.Library.WorkItems;

public class Links
{
    [JsonConstructor]
    public Links(
        Avatar avatar,
        Self self,
        WorkItemUpdates workItemUpdates,
        WorkItemRevisions workItemRevisions,
        WorkItemComments workItemComments,
        Html html,
        WorkItemType workItemType,
        Fields fields
    )
    {
        Avatar = avatar;
        Self = self;
        WorkItemUpdates = workItemUpdates;
        WorkItemRevisions = workItemRevisions;
        WorkItemComments = workItemComments;
        Html = html;
        WorkItemType = workItemType;
        Fields = fields;
    }

    public Avatar Avatar { init; get; }
    public Self Self { init; get; }
    public WorkItemUpdates WorkItemUpdates { init; get; }
    public WorkItemRevisions WorkItemRevisions { init; get; }
    public WorkItemComments WorkItemComments { init; get; }
    public Html Html { init; get; }
    public WorkItemType WorkItemType { init; get; }
    public Fields Fields { init; get; }
}