using System.Text.Json;
using System.Text.Json.Serialization;

namespace Mesa_Backlog.Library;

public class Excel
{

    public string Sheet { init; get; }
    public string SourceFile { init; get; }
    public string TargetFile { init; get; }

    [JsonConstructor]
    public Excel(
        string sheet,
        string sourceFile,
        string targetFile
    )
    {
        Sheet = sheet;
        SourceFile = sourceFile;
        TargetFile = targetFile;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}