using System.Text.Json.Serialization;

namespace Mesa_Backlog.Library.WIQL;

public class Root
{
    [JsonConstructor]
    public Root(
        string queryType,
        string queryResultType,
        DateTime asOf,
        Column[] columns,
        SortColumn[] sortColumns,
        WorkItem[] workItems
    )
    {
        QueryType = queryType;
        QueryResultType = queryResultType;
        AsOf = asOf;
        Columns = columns;
        SortColumns = sortColumns;
        WorkItems = workItems;
    }

    public string QueryType { init; get; }
    public string QueryResultType { init; get; }
    public DateTime AsOf { init; get; }
    public Column[] Columns { init; get; }
    public SortColumn[] SortColumns { init; get; }
    public WorkItem[] WorkItems { init; get; }
}