using System.Text.Json.Serialization;

namespace Mesa_Backlog.Library.WorkItems;

public class Root
{
    [JsonConstructor]
    public Root(
        int id,
        int rev,
        Fields fields,
        Links links,
        string url
    )
    {
        Id = id;
        Rev = rev;
        Fields = fields;
        Links = links;
        Url = url;
    }

    public int Id { init; get; }
    public int Rev { init; get; }
    public Fields Fields { init; get; }

    [JsonPropertyName("_links")]
    public Links Links { init; get; }
    public string Url { init; get; }
}