using System.Text.Json.Serialization;

namespace Mesa_Backlog.Library.WorkItems;

public class User
{
    [JsonConstructor]
    public User(
        string displayName,
        string url,
        Links links,
        string id,
        string uniqueName,
        string imageUrl,
        string descriptor
    )
    {
        DisplayName = displayName;
        Url = url;
        Links = links;
        Id = id;
        UniqueName = uniqueName;
        ImageUrl = imageUrl;
        Descriptor = descriptor;
    }

    public string DisplayName { init; get; }
    public string Url { init; get; }
    public Links Links { init; get; }
    public string Id { init; get; }
    public string UniqueName { init; get; }
    public string ImageUrl { init; get; }
    public string Descriptor { init; get; }
}